Qyra
ReferenceRoles & Permissions

List space access

Get the resolved user access list for a space

GET/api/v1/projects/{projectUuid}/spaces/{spaceUuid}/access

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the space's parent project
spaceUuidstringYesThe uuid of the space

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo
searchQuerystringNo
userUuidsarray[string]No
directOnlybooleanNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "grantedVia": "app",
        "inheritedFrom": "organization",
        "inheritedRole": "member",
        "projectRole": "viewer",
        "hasDirectAccess": true,
        "role": "viewer",
        "userUuid": "string",
        "avatarGradient": {},
        "avatarUrl": "string",
        "isInternal": true,
        "email": "string",
        "lastName": "string",
        "firstName": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}